## groovy.text
Class GStringTemplateEngine

author:
  tug@wilson.co.uk

author:
  Paul King

Field Summary
`int` | `counter`
`ClassLoader` | `parentLoader`

Constructor Summary
`GStringTemplateEngine()`
`GStringTemplateEngine(ClassLoader parentLoader)`

Method Summary
`Template` | `createTemplate(Reader reader)`

Constructor Detail

### GStringTemplateEngine

    public GStringTemplateEngine()

### GStringTemplateEngine

    public GStringTemplateEngine(ClassLoader parentLoader)

Method Detail

### createTemplate

    public Template createTemplate(Reader reader)